Bug Hunting Session
Bug 116737 - INSERT TABLE: Can't select table style (gen/gtk)
Summary: INSERT TABLE: Can't select table style (gen/gtk)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Table-Insert-Dialog
  Show dependency treegraph
 
Reported: 2018-04-02 05:33 UTC by Dieter Praas
Modified: 2018-09-18 13:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Insert table dialog (166.29 KB, image/jpeg)
2018-04-02 05:33 UTC, Dieter Praas
Details
Screenshot of Table -> Convert -> Convert Text to Table -> AutoFormat (127.34 KB, image/jpeg)
2018-04-02 16:49 UTC, Dieter Praas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter Praas 2018-04-02 05:33:49 UTC
Created attachment 141016 [details]
Screenshot of Insert table dialog

Steps to reprocuce

1. Open writer
2. Insert => Insert Table

It's not possible to select a table style (see attachment)
Comment 1 Dieter Praas 2018-04-02 05:35:23 UTC
Additional information:

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 34568738bbaf1e82dbb53fdf516f4d57416bb5b0
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-01_23:50:19
Locale: de-DE (de_DE); Calc: CL
Comment 2 raal 2018-04-02 06:00:22 UTC
I can confirm with Version: 6.1.0.0.alpha0+
Build ID: 940f90f3da170b62379e9d1d33d4e6d690997026
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-30_23:13:39
Comment 3 Dieter Praas 2018-04-02 06:13:28 UTC
Perhaps related to bug 113558? Furkan, can you have a look at it?
Comment 4 Furkan Tokac 2018-04-02 08:38:21 UTC
Please check;

Write something to Writer -> Select the text -> Table -> Convert -> Convert Text to Table -> AutoFormat

Can you see the table styles there ?
Comment 5 Dieter Praas 2018-04-02 16:49:14 UTC
Created attachment 141036 [details]
Screenshot of Table -> Convert -> Convert Text to Table -> AutoFormat

No, I can't see table styles there and I can't select anything.
Comment 6 Xisco Faulí 2018-04-03 11:40:25 UTC
it can be reproduce in gtk and gen but not in gtk3
Comment 7 Xisco Faulí 2018-04-03 11:50:25 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-03-18 16:54:43 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-03-18 20:11:40 +0100
commit	16f84d79ad209a4a6e033880d3059810c37e73c0 (patch)
tree	90f40eaa40e6448709d0ad83e699f4a3cd6350ee
parent	86b160886f6d5580a84f5008682cc93fa8c63e39 (diff)
add id column support to tree view

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 8 Caolán McNamara 2018-04-05 08:49:02 UTC
Is this now working ok again ?
Comment 9 Dieter Praas 2018-04-05 08:53:11 UTC
Are there any changes in the actual master in comparison to the master from 2018-04-01? Then I will try if it works.
Comment 10 Xisco Faulí 2018-04-05 12:08:09 UTC
Fixed in

Version: 6.1.0.0.alpha0+
Build ID: abf9ec7bef2c341ad9c914fd909dd03b4a784f18
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Closing as RESOLVED WORKSFORME...
Comment 11 Commit Notification 2018-09-18 13:40:33 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6c998bdc08b9eccaa43eca140efbcffd7b7c4fa

uitest for bug tdf#116737

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.